commit 1d64d01e4b80629eb3c1538166a26a918c1e07cf
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Aug 13 00:20:00 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index c6bde7bd3e7..4397d29da19 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2024-08-12  liuhongt  <hongtao.liu@intel.com>
+
+	Backported from master:
+	2024-07-30  liuhongt  <hongtao.liu@intel.com>
+
+	PR target/116043
+	* config/i386/constraints.md (Bk): Refine to
+	define_special_memory_constraint.
+
 2024-08-06  John David Anglin  <danglin@gcc.gnu.org>
 
 	PR target/113384
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 2454f4b3e28..e2b84f6ebd8 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240812
+20240813
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index fde67e61e70..c1a987586bd 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2024-08-12  liuhongt  <hongtao.liu@intel.com>
+
+	Backported from master:
+	2024-07-30  liuhongt  <hongtao.liu@intel.com>
+
+	* gcc.target/i386/pr116043.c: New test.
+
 2024-08-06  Andrew Pinski  <quic_apinski@quicinc.com>
 
 	Backported from master:

